/**
 * @file
 * @brief Hardware configuration
 *
 * Configuration:
 * - center aligned PWM, 10 kHz
 * - ADC being automatically started (by hardware) on every PWM period
 * - ADC complete interrupt executes X2C Update function
 * - LED 'L' (digital output #13) blink frequency can be controlled by X2C block 'Frequency'
 * - UART configuration using 115200/8/N/1 for X2C communication
 *
 * Uses Atmel ASF functions.
 */
/*
 * $LastChangedRevision: 1603 $
 * $LastChangedDate:: 2019-01-21 19:02:13 +0100#$
 *
 * This file is part of X2C. http://x2c.lcm.at/
 *
 * Copyright (c) 2016, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 */
#ifndef HARDWARE_H
#define HARDWARE_H

#include "Target.h"

#define resetWatchdog() do { \
	; \
} while (0)

#define BLINKY_LED_ON (gpio_set_pin_high(PIO_PB27_IDX))
#define BLINKY_LED_OFF (gpio_set_pin_low(PIO_PB27_IDX))

/* public prototypes */
void initHardware(void);
void initSerial(tSerial* serial);

#endif /* HARDWARE_H */
