/**
 * @file
 * @brief Load, save and conversion function for mask parameter.
 * 
 * Loading of mask parameter from target, saving of mask parameter on target and conversion of mask parameter to implementation parameter.
 */
/*
 * This file is part of X2C. http://x2c.lcm.at/
 * $LastChangedRevision: 1603 $
 */
/* USERCODE-BEGIN:Description                                                                                         */
/* Description: */
/* USERCODE-END:Description                                                                                           */
#ifndef CONVFNC_SIN2LIMITER_FIP16_H
#define CONVFNC_SIN2LIMITER_FIP16_H

#ifdef __cplusplus
extern "C" {
#endif

#include "CommonFcts.h"
#include "Sin2Limiter_FiP16.h"

/** Mask parameter data structure */
typedef struct {
    float64 Tr;
    float64 Tf;
    float64 ts_fact;
} SIN2LIMITER_FIP16_MASK_PARAM;

/* public prototypes */
uint8 Sin2Limiter_FiP16_LoadMP(const SIN2LIMITER_FIP16_MASK_PARAM *maskParam, uint8 data[], uint16* dataLen, uint16 maxSize);
uint8 Sin2Limiter_FiP16_SaveMP(SIN2LIMITER_FIP16 *block, SIN2LIMITER_FIP16_MASK_PARAM *maskParam, const uint8 data[], uint16 dataLen);
uint8 Sin2Limiter_FiP16_InitMP(SIN2LIMITER_FIP16 *block, const SIN2LIMITER_FIP16_MASK_PARAM *maskParam);

#ifdef __cplusplus
}
#endif

#endif
